Skip to main content
POST
/
api
/
v1
/
recipients
Create a Data Recipient
curl --request POST \
  --url https://ob.flinksapp.com/api/v1/recipients \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "client_id": "dc-xxxxxxxxxxxxxxxxxxxxxxxxx",
  "client_secret": "xxxxxxxxxxxxxxxxxxxxxx",
  "name": "Flinks Fake",
  "logo_uri": "https://flinks.fake.com/logo.png",
  "description": "Description of Flinks Fake",
  "terms_uri": "https://flinks.fake.com/callback/terms.html",
  "client_uri": "https://flinks.fake.com",
  "country": "CA",
  "redirect_uris": [
    "https://flinks.fake.com/callback"
  ],
  "scope": "ACCOUNT_BASIC ACCOUNT_DETAILED ACCOUNT_PAYMENTS INVESTMENTS TRANSACTIONS STATEMENTS CUSTOMER_CONTACT CUSTOMER_PERSONAL",
  "contacts": [
    {
      "email": "john.doe@flinks.fake.com"
    }
  ]
}
Use the /api/v1/recipients endpoint to add a new Data Recipient to the Open Banking API. To successfully call this endpoint, you must first call the /Token endpoint to obtain a valid access_token using the following settings:
  • grant_type: client_credentials
  • client_id: {partner client_id}
  • client_secret: {partner client_secret}
  • scope: client:admin

Authorizations

Authorization
string
header
required

Bearer token obtained from the /Token endpoint.

Body

application/json
name
string

The name of the new Data Recipient. Enter it exactly as you want customers to see it, using a maximum length of 256 characters.

Maximum string length: 256
scope
string[]

The scope of data that the Data Recipient collects from the customer, and is populated on the consent screen. To work with this Data Recipient, the customer must provide consent to share the scope of data they require. Possible values include the following:

ACCOUNT_BASIC = Basic account information (required) ACCOUNT_DETAILED = Detailed account information ACCOUNT_PAYMENTS = Payment information linked to the account INVESTMENTS = Investment information linked to the account TRANSACTIONS = Payment information linked to the account STATEMENTS = PDF statements for the account CUSTOMER_CONTACT = Contact information for the account CUSTOMER_PERSONAL = Information about the customer who owns the account The scopes needs to be delimited by a space and they must include ACCOUNT_BASIC at a minimum

redirect_uris
string

URL redirects for the Data Recipient, using an HTTPS scheme.

logo_uri
string

A hyperlink to the Data Recipient's logo, using the HTTPS scheme.

country
string

Countries that the Data Recipient is registered in. Possible values include: - CA - Canada - US - United States

description
string

The description of the Data Recipient, using a maximum length of 512 characters.

Maximum string length: 512
terms_uri
string

A hyperlink to the terms of service between the customer and the Data Recipient, using an HTTPS scheme. Must be human-readable.

client_uri
string

A hyperlink to the Data Recipient's corporate website, using an HTTPS scheme.

contacts
object[]

Point of contacts for the Data Recipient.

Response

Result

client_id
string
client_secret
string
name
string
logo_uri
string
description
string
terms_uri
string
client_uri
string
country
string
redirect_uris
string[]
scope
string
contacts
object[]